import { SearchOptions } from './api/search';
interface BeatSaverAPIOptions {
    AppName: string;
    Version: string;
}
declare class BeatSaverAPI {
    private appName;
    private appVersion;
    private axiosInstance;
    constructor(options: BeatSaverAPIOptions);
    getMapByID(id: string): Promise<import("./models/MapDetail").MapDetail>;
    getMapByHash(hash: string): Promise<import("./models/MapDetail").MapDetail>;
    getMapsByUploader(userID: number, page?: number): Promise<import("./models/SearchResponse").SearchResponse>;
    getLatestMaps(automapper: boolean, before?: string): Promise<import("./models/SearchResponse").SearchResponse>;
    searchMaps(searchOptions: SearchOptions, page?: number): Promise<import("./models/SearchResponse").SearchResponse>;
}
export = BeatSaverAPI;
